Bug 2254987 (CVE-2022-48541) - CVE-2022-48541 ImageMagick: memory leak in identify -help
Summary: CVE-2022-48541 ImageMagick: memory leak in identify -help
Keywords:
Status: NEW
Alias: CVE-2022-48541
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2254989 2254991
Blocks: 2254993
TreeView+ depends on / blocked
 
Reported: 2023-12-18 11:15 UTC by TEJ RATHI
Modified: 2024-03-26 14:09 UTC (History)
1 user (show)

Fixed In Version: ImageMagick 6.9.11-46, ImageMagick 7.0.10-46
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in ImageMagick, which susceptible to a Missing Release of Memory after the Effective Lifetime vulnerability is triggered by the 'identify -help' command. This issue could allow an attacker to initiate a denial of service attack by inducing a memory leak.
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)

Description TEJ RATHI 2023-12-18 11:15:03 UTC
A memory leak in ImageMagick 7.0.10-45 and 6.9.11-22 allows remote attackers to perform a denial of service via the "identify -help" command.

https://github.com/ImageMagick/ImageMagick/issues/2889
https://github.com/ImageMagick/ImageMagick6/commit/004194253242af71adf5b70e151a7e89bb776eee
https://github.com/ImageMagick/ImageMagick/commit/155ebcd89ccb709522a102868e9d1a14e72d1f82

Comment 1 TEJ RATHI 2023-12-18 11:15:31 UTC
Created ImageMagick tracking bugs for this issue:

Affects: epel-8 [bug 2254991]
Affects: fedora-all [bug 2254989]


Note You need to log in before you can comment on or make changes to this bug.